## zowe › ejes › issue › submit

Submit a job from the local host with the local: prefix, or a MVS data set or z/OS UNIX path. Responds with submission messages and a table providing a description of a successful submission.

#### Usage

zowe ejes issue submit <command> [options]

#### Positional Arguments

- `command` (string)

  - Any of MVS data set name, z/OS UNIX path name, or a workstation file prefixed by 'local:'. The environment variable EJES_SUBMIT_PATH is used to provide a path for a local workstation file if only a file name is provided. When not present, the current working directory is used instead. While the use of the command line options below is recommended, you may instead append to the command string arguments for the submit command listed in the (E)JES Reference.

#### Options

- `--debug` | `--dbg` | `--dv` (number)

  - Specify a numeric debugging mode.

- `--jes2` | `-2` (boolean)

  - Use the JES2 spooler instead of the default spooler.

- `--jes3` | `-3` (boolean)

  - Use the JES3 or JES3plus spooler instead of the default spooler.

- `--subsystem` (string)

  - Name of the spooler to use instead of the default spooler.

- `--lrecl` (number)

  - Logical record length.

- `--recfm` (string)

  - Record format of fixed or variable length.

    Allowed values: f, v, list, help

- `--subsys` (string)

  - Subsystem name where the job should be sent. If not specified defaults to the subsystem under which the current (E)JES session is running. For JES3plus, use jes3.

    Allowed values: jes2, jes3, list, help

- `--unit` (string)

  - Generic or esoteric unit name where an uncataloged MVS data set resides.

- `--volume` (string)

  - Volume serial where an uncataloged MVS data set resides.

#### EJES Connection Options

- `--protocol` | `--prot` (string)

  - Protocol used to access (E)JES server.

    Default value: https
    Allowed values: http, https, list, help

- `--host` (string)

  - The (E)JES server host name.

- `--port` (number)

  - The (E)JES server port.

    Default value: 443

- `--user` (string)

  - Mainframe (E)JES user name, which can be the same as your TSO login.

- `--password` | `--pass` | `--pw` (string)

  - Mainframe (E)JES password, which can be the same as your TSO password.

- `--reject-unauthorized` | `--rejectunauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--base-path` | `--basepath` | `--bp` (string)

  - The base path for your API mediation layer instance. Specify this option to prepend the base path to all (E)JES resources when making REST requests.

- `--color-scheme` | `--scheme` | `--cs` (string)

  - Accessibility option: Specify the name of a color scheme. User scheme files may also be created and specified to provide better contrast or to favor easier to see colors. For a how-to, use "zowe ejes emulate batch --helpApp scheme-info". Zowe ejes log stream ignores this option as it outputs plain text by default, only colorizing when ANSI color options are specified.

    Allowed values: dark, light, powershell, nono, none, user-scheme-file, list, help

    Default value: dark

- `--no-color` | `--nocolor` | `--nc` (string)

  - Accessibility option: Specify to prevent colorization of the CLI. Same effect as defining NO_COLOR or FORCE_COLOR=0.

#### Profile Options

- `--ejes-profile` | `--ejes-p` (string)

  - The name of a (ejes) profile to load for this command execution.

#### Examples

- Submit a local workstation file:

  - `zowe ejes issue submit "local:iefbr14.jcl" --lrecl 132 --subsys jes3`

- Submit a local workstation file using arguments:

  - `zowe ejes issue submit "local:iefbr14.jcl lrecl(132) subsys(jes3)"`

- Submit a clist member:

  - `zowe ejes issue submit "a.cntl(iefbr14)"`